import { jsx } from "react/jsx-runtime";
import { Image as Image$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Image = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Image", ...props, children: /* @__PURE__ */ jsx(Image$1, { weight: variant }) });
  }
);
Image.displayName = "Image";
Object.assign(Image, { isGdsIcon: true });
export {
  Image
};
